<?php

	require_once(ABSPATH.'wp-admin/includes/upgrade.php');

	$sql = "CREATE TABLE ".$this->tbl_pr." (
	  	id mediumint(9) NOT NULL AUTO_INCREMENT,
	  	cdate datetime NOT NULL,		  
	  	name VARCHAR(255) NOT NULL,	
	  	anr VARCHAR(100) NOT NULL,
	  	typ VARCHAR(100) NOT NULL,	  
	  	preis DOUBLE(10,2) NOT NULL,
	  	mwst INT(11) NOT NULL,
	  	feinheit VARCHAR(50) NOT NULL,
	  	fmenge DOUBLE(10,2) NOT NULL,
	  	beschreibung longtext NOT NULL,
	  	pgruppe INT(11) NOT NULL,
	  	ptemplate mediumint(9) NOT NULL,
	  	weight double(10, 2) NOT NULL,
	  	stock int(11) NOT NULL,
	  	stock_count int(1) NOT NULL,
	  	deleted INT(1) NOT NULL,
	  	UNIQUE KEY id (id)
	);";

   	dbDelta($sql); 
	
   	$sql = "CREATE TABLE ".$this->tbl_pg." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		cdate datetime NOT NULL,
   		name VARCHAR(255) NOT NULL,
   		template INT(11) NOT NULL, 
   		deleted INT(1) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql); 
	
   	$sql = "CREATE TABLE ".$this->tbl_gs." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		code VARCHAR(255) NOT NULL,
   		value DOUBLE(10,2) NOT NULL,
   		o_id INT(11) NOT NULL,
   		typ ENUM('p','pg','a') NOT NULL,
   		calc_typ ENUM('w', 'p') NOT NULL,
   		target INT(11) NOT NULL,
   		cdate datetime NOT NULL,
   		start_date datetime NOT NULL,
   		end_date datetime NOT NULL, 
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_at." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		name varchar(100) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	   	 
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_pa." (
   		p_id mediumint(9) NOT NULL,
   		a_id mediumint(9) NOT NULL,
   		value varchar(255) NOT NULL 
   	);";
   	
   	dbDelta($sql);
   	
   	$sql = "CREATE TABLE ".$this->tbl_or." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		cdate datetime NOT NULL,
   		k_id mediumint(9) NOT NULL, 
   		ip VARCHAR(15) NOT NULL,
   		useragent VARCHAR(15) NOT NULL,
   		comment TEXT NOT NULL,
   		price_gesamt DOUBLE(10,4) NOT NULL,
   		price_shipping DOUBLE(10,4) NOT NULL,
   		price_payment DOUBLE(10,4) NOT NULL,
   		type_shipping VARCHAR(255) NOT NULL,
   		type_payment VARCHAR(255) NOT NULL, 
   		shipping_vname VARCHAR(255) NOT NULL,
		shipping_name VARCHAR(255) NOT NULL,				
	  	shipping_strasse VARCHAR(255) NOT NULL,
	  	shipping_hausnr VARCHAR(255) NOT NULL,
	  	shipping_plz VARCHAR(255) NOT NULL,
	  	shipping_ort VARCHAR(255) NOT NULL,
	  	shipping_land VARCHAR(100) NOT NULL,
	  	bname VARCHAR(500) NOT NULL,
		bblz VARCHAR(500) NOT NULL,
		binhaber VARCHAR(500) NOT NULL,
		payed_date datetime NOT NULL,
		bnr VARCHAR(500) NOT NULL,
   		status int(5) NOT NULL,
   		transaction varchar(255) NOT NULL,	   			
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_op." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		o_id mediumint(9) NOT NULL,
   		p_id mediumint(9) NOT NULL,
   		menge mediumint(9) NOT NULL,
   		price DOUBLE(10,4) NOT NULL,
   		v_id mediumint(9) NOT NULL,
   		mwst double(4,2) NOT NULL,
   		UNIQUE KEY id (id) 
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_ku." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		paypal_payer_id VARCHAR(255) NOT NULL,
   		name VARCHAR(255) NOT NULL,	   			
   		vname VARCHAR(255) NOT NULL,
   		email VARCHAR(255) NOT NULL,
   		firma VARCHAR(255) NOT NULL,
   		tel VARCHAR(255) NOT NULL,
   		fax VARCHAR(255) NOT NULL,
   		strasse VARCHAR(255) NOT NULL,
   		hausnr VARCHAR(255) NOT NULL,
   		plz VARCHAR(255) NOT NULL,
   		ort VARCHAR(255) NOT NULL,
   		land VARCHAR(100) NOT NULL, 
   		UNIQUE KEY id (id) 
   	);";
   	
   	dbDelta($sql);

   	$sql = "CREATE TABLE ".$this->tbl_mw." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		bezeichnung VARCHAR(255) NOT NULL,
   		value DOUBLE(4,2) NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
   	dbDelta($sql);
   	
   	$bMwst = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_mw."` WHERE `value` = '19'");
   	if ($bMwst <= 0)
   	{   	
   		$this->db->ImportQuery($this->tbl_mw, array(
   			"bezeichnung" => "Normaler Satz",
   			"value" => "19"
   		));
   	}
   	
   	$sql = "CREATE TABLE ".$this->tbl_tp." (
   		id mediumint(9) NOT NULL AUTO_INCREMENT,
   		ref mediumint(9) NOT NULL,
   		bezeichnung VARCHAR(255) NOT NULL,
   		value TEXT NOT NULL,
   		UNIQUE KEY id (id)
   	);";
   	
	dbDelta($sql);
   	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '1'");	
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 1, 
			"bezeichnung" => "Standardtemplate",
			"value" => "<span class=\"wpshopgermany\">
	<div class=\"wpshopgermany_produkt\">      
	
		<!-- Versteckter Grundpreis für die Javascript Berechnung des Variantenpreises -->
		<span style=\"display:none;\" id=\"weight_gp_###p_id###\">###mod_weight###</span>
	    
		<div class=\"name\">###name###</div>
	  <div class=\"beschreibung\">###beschreibung###</div>
	  <div class=\"price\">
	  	Stückpreis: <span style=\"font-weight:bold;\"><span id=\"preis_###p_id###\">###preis###</span> ###wahrung###</span><br/>
      ###gp_start###Grundpreis: <span id=\"gp_###p_id###\">###preis###</span> ###wahrung###<br/>###gp_end###
      ###mod_stock_start###Lagerbestand: <span id=\"stock_###p_id###\">###mod_stock###</span><br/>###mod_stock_end###
      ###weight_start###Gewicht: <span id=\"weight_###p_id###\">###mod_weight###</span>###mod_weight_unit###<br/>###weight_end###
      ###fmenge_start###Füllmenge: ###fmenge######feinheit### (###gpreis######wahrung###/###fbasis######feinheit###) <br/>###fmenge_end###
      <span class=\"zusatz\">(inkl. ###mwst_value###% Mwst. und zzgl. <a href=\"###link_vk###\">Versandkosten</a>)</span>
		</div>
	  <div class=\"weight\">Gewicht: ###mod_weight### ###mod_weight_unit###</div>
	  <div class=\"wpshopgermany_vari\">###mod_vari###</div>
	  <div class=\"image\">###bild###</div>
	  ###menge_start###
	  <div class=\"amount\">Menge: <input type=\"text\" name=\"menge\" value=\"1\" size=\"5\"/></div>	
	  ###menge_end###
	  <input class=\"wpshopgermany_submit_basket\" type=\"submit\" name=\"submit_basket\" value=\"Zum Warenkorb hinzufügen\"/>
	  <div class=\"clear\"></div>
	</div>
</span>

###varianten_start###
<label>
	<input style=\"margin-bottom:2px;\" ###checked### onclick=\"switchVari(###p_id###, ###var_id###);\" type=\"radio\" name=\"vari\" value=\"###var_id###\"/> ###var_name### 
	(
		<span id=\"var_preis_###var_id###\">###var_preis###</span>###wahrung### 
		###weight_start###/ <span id=\"var_weight_###var_id###\">###var_weight###</span>###mod_weight_unit### ###weight_end###
		###mod_stock_start###/ Lagerbestand: <span id=\"var_stock_###var_id###\">###var_stock###</span>###mod_stock_end###
	)
</label><br/>
<script type=\"text/javascript\">
  if(typeof switchVari == 'function') { 
    switchVari(###p_id###, ###var_id###);
  }
</script>
###varianten_end###"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '100'");	
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 100, 
			"ref" => 1,
			"bezeichnung" => "Stückartikel",
			"value" => "<span class=\"wpshopgermany\">
	<div class=\"wpshopgermany_produkt\">      
	
		<!-- Versteckter Grundpreis für die Javascript Berechnung des Variantenpreises -->
		<span style=\"display:none;\" id=\"weight_gp_###p_id###\">###mod_weight###</span>
	    
		<div class=\"name\">###name###</div>
	  <div class=\"beschreibung\">###beschreibung###</div>
	  <div class=\"price\">
	  	Stückpreis: <span style=\"font-weight:bold;\"><span id=\"preis_###p_id###\">###preis###</span> ###wahrung###</span><br/>
      ###gp_start###Grundpreis: <span id=\"gp_###p_id###\">###preis###</span> ###wahrung###<br/>###gp_end###
      ###mod_stock_start###Lagerbestand: <span id=\"stock_###p_id###\">###mod_stock###</span><br/>###mod_stock_end###
      ###weight_start###Gewicht: <span id=\"weight_###p_id###\">###mod_weight###</span>###mod_weight_unit###<br/>###weight_end###
      ###fmenge_start###Füllmenge: ###fmenge######feinheit### (###gpreis######wahrung###/###fbasis######feinheit###) <br/>###fmenge_end###
      <span class=\"zusatz\">(inkl. ###mwst_value###% Mwst. und zzgl. <a href=\"###link_vk###\">Versandkosten</a>)</span>
		</div>
	  <div class=\"weight\">Gewicht: ###mod_weight### ###mod_weight_unit###</div>
	  <div class=\"wpshopgermany_vari\">###mod_vari###</div>
	  <div class=\"image\">###bild###</div>
	  ###menge_start###
	  <div class=\"amount\">Menge: <input type=\"text\" name=\"menge\" value=\"1\" size=\"5\"/></div>	
	  ###menge_end###
	  <input class=\"wpshopgermany_submit_basket\" type=\"submit\" name=\"submit_basket\" value=\"Zum Warenkorb hinzufügen\"/>
	  <div class=\"clear\"></div>
	</div>
</span>

###varianten_start###
<label>
	<input style=\"margin-bottom:2px;\" ###checked### onclick=\"switchVari(###p_id###, ###var_id###);\" type=\"radio\" name=\"vari\" value=\"###var_id###\"/> ###var_name### 
	(
		<span id=\"var_preis_###var_id###\">###var_preis###</span>###wahrung### 
		###weight_start###/ <span id=\"var_weight_###var_id###\">###var_weight###</span>###mod_weight_unit### ###weight_end###
		###mod_stock_start###/ Lagerbestand: <span id=\"var_stock_###var_id###\">###var_stock###</span>###mod_stock_end###
	)
</label><br/>
<script type=\"text/javascript\">
  if(typeof switchVari == 'function') { 
    switchVari(###p_id###, ###var_id###);
  }
</script>
###varianten_end###"
		));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '101'");	
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 101, 
			"ref" => 1,
			"bezeichnung" => "Downloadprodukte",
			"value" => "<span class=\"wpshopgermany\">
    <div class=\"wpshopgermany_produkt\">      	    
          <div class=\"name\">###name###</div>
	  <div class=\"beschreibung\">###beschreibung###</div>
	  <div class=\"price\">
               Stückpreis: <span style=\"font-weight:bold;\"><span id=\"preis_###p_id###\">###preis###</span> ###wahrung###</span><br/>
               <span class=\"zusatz\">(inkl. ###mwst_value###% Mwst.)</span>
          </div>
	  <div class=\"image\">###bild###</div>
	  ###menge_start###
	  <div class=\"amount\">Menge: <input type=\"hidden\" name=\"menge\" value=\"1\" size=\"5\"/></div>	
	  ###menge_end###
	  <input class=\"wpshopgermany_submit_basket\" type=\"submit\" name=\"submit_basket\" value=\"Zum Warenkorb hinzufügen\"/>
	  <div class=\"clear\"></div>
    </div>
</span>"
		));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '102'");	
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 102, 
			"ref" => 1,
			"bezeichnung" => "Ausverkauft",
			"value" => "<span class=\"wpshopgermany\">
	<div class=\"wpshopgermany_produkt\">      
	
		<!-- Versteckter Grundpreis für die Javascript Berechnung des Variantenpreises -->
		<span style=\"display:none;\" id=\"weight_gp_###p_id###\">###mod_weight###</span>
	    
		<div class=\"name\">###name###</div>
	  <div class=\"beschreibung\">###beschreibung###</div>
	  <div class=\"price\">
	  	Stückpreis: <span style=\"font-weight:bold;\"><span id=\"preis_###p_id###\">###preis###</span> ###wahrung###</span><br/>
      ###gp_start###Grundpreis: <span id=\"gp_###p_id###\">###preis###</span> ###wahrung###<br/>###gp_end###
      ###mod_stock_start###Lagerbestand: <span id=\"stock_###p_id###\">###mod_stock###</span><br/>###mod_stock_end###
      ###weight_start###Gewicht: <span id=\"weight_###p_id###\">###mod_weight###</span>###mod_weight_unit###<br/>###weight_end###
      ###fmenge_start###Füllmenge: ###fmenge######feinheit### (###gpreis######wahrung###/###fbasis######feinheit###) <br/>###fmenge_end###
      <span class=\"zusatz\">(inkl. ###mwst_value###% Mwst. und zzgl. <a href=\"###link_vk###\">Versandkosten</a>)</span>
		</div>
	  <div class=\"weight\">Gewicht: ###mod_weight### ###mod_weight_unit###</div>
	  <div class=\"wpshopgermany_vari\">###mod_vari###</div>
	  <div class=\"image\">###bild###</div>
          <span class=\"amount\" style=\"color:red; font-weight:bold;\">Dieser Artikel ist leider ausverkauft.</span>
	  <div class=\"clear\"></div>
	</div>
</span>

###varianten_start###
<label>
	<input disabled=\"disabled\" style=\"margin-bottom:2px;\"type=\"radio\" name=\"vari\"/> ###var_name### 
	<span style=\"color:red\">Diese Variante ist leider ausverkauft.</span>
</label><br/>
###varianten_end###"
		));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '2'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 2,
			"ref" => 0,
			"value" => "Bestellbestätigung

Vielen Dank für Ihre Bestellung. Sie erhalten hiermit die Bestellbestätigung mit allen wichtigen Informationen zu Ihrer Bestellung.
----------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### 

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
----------------------------------------------------------------------------
 
###bestellung###

----------------------------------------------------------------------------

Ihr Kommentar während der Bestellung:
###comment###

Bemerkungen zur Bestellung:
###bemerkung###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung###

Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###

Gesamtpreis:                     ###summe_gesamt### ###wahrung###

----------------------------------------------------------------------------
 
Wir bedanken uns fuer Ihre Bestellung. 

Bitte beachten Sie, dass es sich bei dieser E-Mail um eine Bestellbestaetigung und keine bindende Auftragsbestaetigung handelt.
Preisirrtuemer sind leider nicht vollstaendig auszuschliessen.  Wir weisen ausdruecklich darauf hin, dass der Vorbehalt der Selbstbelieferung in unseren Allgemeinen Geschaeftsbedingungen vereinbart ist. 

Es gelten unsere Allgemeinen Geschaeftsbedingungen (AGB).

###AGB_LINK###

-- Widerrufsbelehrung --

Widerrufsrecht:

Als Privatkunde koennen Sie Ihre Vertragserklaerung innerhalb von zwei Wochen ohne Angabe von Gruenden in Textform (z.B. Brief, Fax, E-Mail) oder - wenn Ihnen die Sache vor Fristablauf ueberlassen wird - durch Ruecksendung der Sache widerrufen. Die Frist beginnt nach Erhalt dieser Belehrung in Textform, jedoch nicht vor Eingang der Ware beim Empfaenger und auch nicht vor der Erfuellung unserer Informationspflichten gemaesz § 313 c Abs. 2 BGB in Verbindung mit § 1 Abs. 1, 2 und 4 BGB-InfoV und § 312 e Abs. 1 Satz 1 BGB in Verbindung mit § 3 BGB-InfoV. Zur Wahrung der Widerrufsfrist genuegt die rechtzeitige Absendung des Widerrufs oder der Sache.

Widerrufsfolgen:

Im Falle eines wirksamen Widerrufs sind die beiderseits empfangenen Leistungen zurueckzugewaehren und ggf. gezogene Nutzungen (z.B. Zinsen) herauszugeben. Koennen Sie uns die empfangene Leistung ganz oder teilweise nicht oder nur in verschlechtertem Zustand zurueckgewaehren, muessen Sie uns insoweit ggf. Wertersatz leisten. Bei der Ueberlassung von Sachen gilt dies nicht, wenn die Verschlechterung der Sache ausschlieszlich auf deren Pruefung  wie sie Ihnen etwa im Ladengeschaeft moeglich gewesen waere zurueckzufuehren ist. Im Uebrigen koennen Sie die Pflicht zum Wertersatz fuer eine durch die bestimmungsgemaesze Ingebrauchnahme der Sache entstandene Verschlechterung vermeiden, indem Sie die Sache nicht wie ihr Eigentum in Gebrauch nehmen und alles unterlassen, was deren Wert beeintraechtigt. Paketversandfaehige Sachen sind auf unsere Gefahr zurueckzusenden. Sie haben die Kosten der Ruecksendung zu tragen, wenn die gelieferte Ware der bestellten entspricht und wenn der Preis  der zurueckzusendenden Sache einen Betrag von 40 ###wahrung### nicht uebersteigt oder wenn Sie bei einem hoeheren Preis der Sache zum Zeitpunkt des Widerrufs noch nicht die Gegenleistung oder eine vertraglich vereinbarte Teilzahlung erbracht haben. Anderenfalls ist die Ruecksendung fuer Sie kostenfrei. Nicht paketversandfaehige Sachen werden bei Ihnen abgeholt. Verpflichtungen zur Erstattung von Zahlungen muessen innerhalb von 30 Tagen erfuellt werden. Die Frist beginnt fuer Sie mit der Absendung Ihrer Widerrufserklaerung oder der Sache, fuer uns mit deren Empfang.

-- Ende der Widerrufsbelehrung --

Mit freundlichen Grüßen

Shop Team
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '3'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 3,
			"value" => "Hallo ###vname### ###name###

Ihre Bezahlung zu der Bestellung ###o_id### ist bei uns eingegangen.

Die Produkte, die als Download vorliegen wurden für Sie freigeschaltet. 

###links###

Sie haben für ###tage### Tage die Möglichkeit die Dateien herunterzuladen.

Viele Grüße
Shop Team

"));		
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '4'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 4,
			"value" => "Hallo Shop Betreiber,

Eingang einer neuen Bestellung

-------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### 

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
-------------------------------------------------------------------------
 
###bestellung###

-------------------------------------------------------------------------

Kommentar während der Bestellung:
###comment###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###
###mod###
Gesamtpreis:                     ###summe_gesamt### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung### 
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '5'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 5,
			"value" => "Bestellbestätigung

Vielen Dank für Ihre Bestellung. Sie erhalten hiermit die Bestellbestätigung mit allen wichtigen Informationen zu Ihrer Bestellung.
-------------------------------------------------------------------------

Lieferadresse:

Name: ###shipping_vname### ###shipping_name###
Straße: ###shipping_strasse### ###shipping_hausnr###
Ort: ###shipping_plz### ###shipping_ort### 

Rechnungsadresse:

Firma: ###firma###
Name: ###vname### ###name###
Straße: ###strasse### ###hausnr###
Ort: ###plz### ###ort###
Telefon: ###tel###
Fax: ###fax###
E-Mail-Adresse: ###email###

Kundennummer: ###k_id###
Auftragsnummer: ###o_id###
Bestelltag: ###datum###
 
Bestellung:
-------------------------------------------------------------------------
 
###bestellung###

-------------------------------------------------------------------------

Ihr Kommentar während der Bestellung:
###comment###

Versandart:                      ###shipping###
Zahlungsart:                     ###payment###

Zwischensumme:                   ###summe_zwischen### ###wahrung###
Enthaltene MwSt.:                ###summe_mwst### ###wahrung###  

Versandkosten:                   ###summe_shipping### ###wahrung###
Kosten für Zahlungsmethode:      ###summe_payment### ###wahrung###
###mod###
Gesamtpreis:                     ###summe_gesamt### ###wahrung###

-------------------------------------------------------------------------
 
Wir bedanken uns fuer Ihre Bestellung. 

Bitte beachten Sie, dass es sich bei dieser E-Mail um eine Bestellbestaetigung und keine bindende Auftragsbestaetigung handelt.
Preisirrtuemer sind leider nicht vollstaendig auszuschliessen.  

Es gelten unsere Allgemeinen Geschaeftsbedingungen (AGB).

###AGB_LINK###

-- Widerrufsbelehrung --
###Widerruf_start###
Verbrauchern steht ein Widerrufsrecht nach folgender Maßgabe zu, wobei Verbraucher jede natürliche Person ist, die ein Rechtsgeschäft zu einem Zwecke abschließt, der weder ihrer gewerblichen noch ihrer selbständigen beruflichen Tätigkeit zugerechnet werden kann:


Widerrufsrecht
--------------
Sie können Ihre Vertragserklärung innerhalb von 14 Tagen ohne Angabe von Gründen in Textform (z. B. Brief, Fax, E-Mail) oder - wenn Ihnen die Sache vor Fristablauf überlassen wird - durch Rücksendung der Sache widerrufen. Die Frist beginnt nach Erhalt dieser Belehrung in Textform, jedoch nicht vor Eingang der Ware beim Empfänger (bei der wiederkehrenden Lieferung gleichartiger Waren nicht vor dem Eingang der ersten Teillieferung) und auch nicht vor Erfüllung unserer Informationspflichten gemäß Artikel 246 § 2 in Verbindung mit § 1 Abs. 1 und 2 EGBGB sowie unserer Pflichten gemäß § 312e Abs. 1 Satz 1 BGB in Verbindung mit Artikel 246 § 3 EGBGB. Zur Wahrung der Widerrufsfrist genügt die rechtzeitige Absendung des Widerrufs oder der Sache. 

Der Widerruf ist zu richten an:

  Tragen Sie hier ihre Widerrufsanschrift ein

Widerrufsfolgen
---------------
Im Falle eines wirksamen Widerrufs sind die beiderseits empfangenen Leistungen zurückzugewähren und ggf. gezogene Nutzungen (z. B. Zinsen) herauszugeben. Können Sie uns die empfangene Leistung ganz oder teilweise nicht oder nur in verschlechtertem Zustand zurückgewähren, müssen Sie uns insoweit ggf. Wertersatz leisten. Bei der Überlassung von Sachen gilt dies nicht, wenn die Verschlechterung der Sache ausschließlich auf deren Prüfung - wie sie Ihnen etwa im Ladengeschäft möglich gewesen wäre - zurückzuführen ist. Im Übrigen können Sie die Pflicht zum Wertersatz für eine durch die bestimmungsgemäße Ingebrauchnahme der Sache entstandene Verschlechterung vermeiden, indem Sie die Sache nicht wie Ihr Eigentum in Gebrauch nehmen und alles unterlassen, was deren Wert beeinträchtigt. Paketversandfähige Sachen sind auf unsere Gefahr zurückzusenden. Sie haben die Kosten der Rücksendung zu tragen, wenn die gelieferte Ware der bestellten entspricht und wenn der Preis der zurückzusendenden Sache einen Betrag von 40 ###wahrung### nicht übersteigt oder wenn Sie bei einem höheren Preis der Sache zum Zeitpunkt des Widerrufs noch nicht die Gegenleistung oder eine vertraglich vereinbarte Teilzahlung erbracht haben. Anderenfalls ist die Rücksendung für Sie kostenfrei. Nicht paketversandfähige Sachen werden bei Ihnen abgeholt. Verpflichtungen zur Erstattung von Zahlungen müssen innerhalb von 30 Tagen erfüllt werden. Die Frist beginnt für Sie mit der Absendung Ihrer Widerrufserklärung oder der Sache, für uns mit deren Empfang.

- Ende der Widerrufsbelehrung -


Ausschluss des Widerrufsrechts
------------------------------
Das Widerrufsrecht besteht

1. nicht bei Fernabsatzverträgen zur Lieferung von Audio- oder Videoaufzeichnungen oder von Software, sofern die gelieferten Datenträger von Ihnen entsiegelt worden sind.


Allgemeine Hinweise
-------------------
1. Bitte vermeiden Sie Beschädigungen und Verunreinigungen der Ware. Senden Sie die Ware bitte möglichst in Originalverpackung mit sämtlichem Zubehör und mit allen Verpackungsbestandteilen an uns zurück. Verwenden Sie ggf. eine schützende Umverpackung. Wenn Sie die Originalverpackung nicht mehr besitzen, sorgen Sie bitte mit einer geeigneten Verpackung für einen ausreichenden Schutz vor Transportschäden.

2. Senden Sie die Ware bitte möglichst nicht unfrei an uns zurück. Wir erstatten Ihnen auch gerne auf Wunsch vorab die Portokosten, sofern diese nicht von Ihnen selbst zu tragen sind.

3. Bitte beachten Sie, dass die vorgenannten Ziffern 1-2 nicht Voraussetzung für die wirksame Ausübung des Widerrufsrechts sind.
###Widerruf_ende###
-- Ende der Widerrufsbelehrung --

Mit freundlichen Grüßen

Shop Team
"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '6'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 6,
			"value" => "Hallo ###VNAME### ###NAME###,

Der Status ihrer Bestellung vom ###DATUM### mit der Bestellnummer ###BESTNR### hatt sich von \"###STATUS_ALT###\" auf \"###STATUS_NEU###\" geändert.

Dies ist eine automatisch generierte Mail.

Mit freundlichen Grüßen

Shop Team"));
	}
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_tp."` WHERE `id` = '7'");
	if ($bExists <= 0)
	{
		$this->db->importQuery($this->tbl_tp, array(
			"id" => 7,
			"value" => "<label><input checked=\"checked\" onclick=\"switchVari(###p_id###, ###var_id###);\" type=\"radio\" name=\"vari\" value=\"###var_id###\"/> ###var_name### (<span id=\"var_preis_###var_id###\">###var_preis###</span>###wahrung### / <span id=\"var_weight_###var_id###\">###var_weight###</span>###mod_weight_unit###)</label><br/>
<script type=\"text/javascript\">
  if(typeof switchVari == 'function') { 
    switchVari(###p_id###, ###var_id###);
  }
</script>"));
	}
	
	$sql = "CREATE TABLE ".$this->tbl_ol." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		o_id mediumint(9) NOT NULL,
		cdate datetime NOT NULL,
		title VARCHAR(255) NOT NULL,
		mailtext TEXT,
		UNIQUE KEY id (id)
	);";
	
	dbDelta($sql);
	
	// Varianten
	$sql = "CREATE TABLE ".$this->tbl_vr." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		weight double(10,2) NOT NULL,	
		p_id mediumint(9) NOT NULL,
		preis DOUBLE(10,2) NOT NULL,
		name VARCHAR(255) NOT NULL,
		deleted INT(1) NOT NULL,	
		stock INT(11) NOT NULL,			
	  	UNIQUE KEY id (id)
	);";
	    	
   	dbDelta($sql);
   	  
   	$sql = "CREATE TABLE ".$this->tbl_lr." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,				
		name VARCHAR(255) NOT NULL,
		typ ENUM('w', 's', 'g') NOT NULL,
		kosten VARCHAR(500) NOT NULL,
		deleted INT(1) NOT NULL,
	  	UNIQUE KEY id (id)
	);";
	
   	dbDelta($sql);
   	
   	$bCount = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_lr."`");
   	
   	if ($bCount == 0)
   	{
   		$this->db->ImportQuery($this->tbl_lr, array(
   			"id" => 1,
   			"name" => "DHL Paket",
   			"kosten" => "6.90"
   		));
   	}
   			   	
	$sql = "CREATE TABLE ".$this->tbl_la." (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		bezeichnung VARCHAR(255) NOT NULL,
		kuerzel VARCHAR(10) NOT NULL,
		UNIQUE KEY id (id)
	);";
	
	dbDelta($sql);
	
	$bExists = $this->db->fetchOne("SELECT COUNT(*) FROM `".$this->tbl_la."` WHERE `bezeichnung` = 'Deutschland'");
	if ($bExists <= 0)
	{
		$this->db->ImportQuery($this->tbl_la, array(
			"bezeichnung" => "Deutschland",
			"kuerzel" => "DE"
		));
	}
	
	/*
	 * Hier kommen Querys, die beim Update aufgerufen werden um bestimmte Daten zu überprüfen bzw. zu korrigieren
	 */
	if (isset($update) && $update)
	{
						
		$bName_Standardtemplate = $this->db->fetchOne("SELECT `bezeichnung` FROM `".$this->tbl_tp."` WHERE `id` = '1'");
		if ($bName_Standardtemplate == "") $this->db->UpdateQuery($this->tbl_tp, array("bezeichnung" => "Standardtemplate"), "`id` = '1'");
		
	}
	
?>